Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.master.search.assumedmatch
Class AssumedMatchSummary

    java.lang.Object
      com.stc.eindex.objects.ObjectNode
          com.stc.eindex.master.search.assumedmatch.AssumedMatchSummary

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class AssumedMatchSummary
extends ObjectNode

The AssumedMatchSummary class represents an object containing transaction information about assumed match transactions that were returned by a call to lookupAssumedMatches. An assumed match search returns an iterator of AssumedMatchSummary objects.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.stc.eindex.objects.ObjectNode
`indexMap, mChildrenHashMap, mChildTags, mFields, mParent, mParentTag, mPartOfIndex, mPosition, mTag, mVersion`

Constructor Summary
`AssumedMatchSummary()` Creates a new instance of the AssumedMatchSummary class.
`AssumedMatchSummary(java.lang.String id, java.lang.String euid, java.lang.String systemCode, java.lang.String lid, java.lang.String createUser, java.util.Date createDate, java.lang.String transactionNumber)` Creates a new instance of the AssumedMatchSummary class.

Method Summary
`EnterpriseObject` | `getAfterEO()` Retrieves the enterprise object that was updated in the assumed match transaction.
`EnterpriseObject` | `getBeforeEO()` Retrieves the enterprise object that was updated in the assumed match transaction.
`SBR` | `getBeforeSBR()` Retrieves the SBR object in the existing record as it appeared prior to the assumed match update.
`java.util.Date` | `getCreateDate()` Retrieves the date that the assumed match occurred from the AssumedMatchSummary object.
`java.lang.String` | `getCreateUser()` Retrieves the create user ID from the AssumedMatchSummary object.
`java.lang.String` | `getEUID()` Retrieves the value of the EUID from the AssumedMatchSummary object.
`java.lang.String` | `getId()` Retrieves the value of the assumed match ID from the AssumedMatchSummary object.
`java.lang.String` | `getLID()` Retrieves the value of the local ID from the AssumedMatchSummary object.
`SystemObject` | `getNewSO()` Retrieves the system object that was added to the existing record in the assumed match transaction.
`java.lang.String` | `getSystemCode()` Retrieves the system code from the AssumedMatchSummary object.
`java.lang.String` | `getTransactionNumber()` Retrieves the value of the transaction number from the AssumedMatchSummary object.
`float` | `getWeight()` Retrieves the matching probability weight of the records represented by the AssumedMatchSummary object.
`java.lang.String` | `toString()` Retrieves a string representation of the assumed match ID, EUID, and weight fields from the AssumedMatchSummary object.

Methods inherited from class com.stc.eindex.objects.ObjectNode
`add, addChild, addChildHard, addChildNoFlagSet, addChildren, addChildToTypeArrayList, clearChildrenForType, clearField, copy, createChildIndex, deleteChild, deleteChild, equals, getAllChildrenFromHashMap, getChild, getChild, getChildKey, getChildrenForType, getChildSuperKey, getField, getFieldTypes, getFlag, getObjectId, getParent, getParentTag, getValue, getValueObject, hasFieldReadAccess, hasFieldUpdateAccess, hashCode, hasObjectAddAccess, hasObjectDeleteAccess, hasObjectReadAccess, hasObjectUpdateAccess, isAdded, isChanged, isKeyChanged, isKeyIndexable, isKeyType, isKeyValid, isNew, isNull, isNullable, isRegularKeyIndexable, isRemoved, isSearched, isUpdated, isVisible, obtainKey, obtainSuperKey, pGetChildren, pGetChildren, pGetChildTags, pGetFieldNames, pGetFields, pGetFieldUpdateLogs, pGetFieldValues, pGetFlagString, pGetKey, pGetSuperKey, pGetTag, pGetType, pGetType, recalculateIndex, removeChild, removeChild, removeChildForType, removeChildIndex, removeChildren, removeChildren, reset, resetAll, setAddFlag, setChanged, setFieldReadAccess, setFieldUpdateAccess, setFieldUpdateLogs, setFlag, setKey, setKeyChangeFlag, setKeyType, setNull, setNullable, setObjectAddAccess, setObjectDeleteAccess, setObjectReadAccess, setObjectUpdateAccess, setParent, setRemoveFlag, setSearched, setUpdateFlag, setValue, setVisible, structCopy, unChange, update, updateChild, updateIfChanged, updateIfNotEqual, updateIfNotNull, updateIfNotNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssumedMatchSummary

    public AssumedMatchSummary()

  Creates a new instance of the AssumedMatchSummary class.

  Parameters:
    None.

### AssumedMatchSummary

    public AssumedMatchSummary(java.lang.String id,
                               java.lang.String euid,
                               java.lang.String systemCode,
                               java.lang.String lid,
                               java.lang.String createUser,
                               java.util.Date createDate,
                               java.lang.String transactionNumber)
                        throws ObjectException

  Creates a new instance of the AssumedMatchSummary class.

  Parameters:
    `id` - A string containing an assumed match ID.
    `euid` - The EUID of the record that was updated as a result of the assumed match.
    `systemCode` - A string containing the processing code of the system that caused the assumed match.
    `lid` - The local ID of the record that cause the assumed match.
    `createUser` - A string containing the logon ID of the user who performed the transaction causing the assumed match.
    `createDate` - The date the assumed match was created.
    `transactionNumber` - The transaction number of the transaction that caused the assumed match.
  Throws:
    `ObjectException` - Thrown if an error occurs while creating the AssumedMatchSummary object.

Method Detail

### getAfterEO

    public EnterpriseObject getAfterEO()

  Retrieves the enterprise object that was updated in the assumed match transaction. This method retrieves the enterprise object as it appears after the assumed match transaction.

  Parameters:
    None.

  Returns:
    `EnterpriseObject` - The enterprise object after it was updated by the assumed match.
  Throws:
    None.

### getBeforeEO

    public EnterpriseObject getBeforeEO()

  Retrieves the enterprise object that was updated in the assumed match transaction. This method retrieves the enterprise object as it appeared prior to the assumed match transaction.

  Parameters:
    None.

  Returns:
    `EnterpriseObject` - The enterprise object before it was updated by the assumed match.
  Throws:
    None.

### getBeforeSBR

    public SBR getBeforeSBR()

  Retrieves the SBR object in the existing record as it appeared prior to the assumed match update.

  Parameters:
    None.

  Returns:
    `SBR` - The SBR object of the existing record that was updated in the assumed match transaction.
  Throws:
    None.

### getCreateDate

    public java.util.Date getCreateDate()
                                 throws ObjectException

  Retrieves the date that the assumed match occurred from the AssumedMatchSummary object.

  Parameters:
    None.

  Returns:
    `java.util.Date` - The create date of the assumed match.
  Throws:
    `ObjectException` - Thrown if the date could not be retrieved.

### getCreateUser

    public java.lang.String getCreateUser()
                                   throws ObjectException

  Retrieves the create user ID from the AssumedMatchSummary object.

  Parameters:
    None.

  Returns:
    `String` - A user logon ID.
  Throws:
    `ObjectException` - Thrown if the user ID could not be retrieved.

### getEUID

    public java.lang.String getEUID()
                             throws ObjectException

  Retrieves the value of the EUID from the AssumedMatchSummary object.

  Parameters:
    None.

  Returns:
    `String` - An EUID.
  Throws:
    `ObjectException` - Thrown if the EUID could not be retrieved.

### getId

    public java.lang.String getId()
                           throws ObjectException

  Retrieves the value of the assumed match ID from the AssumedMatchSummary object.

  Parameters:
    None.

  Returns:
    `String` - The value of the assumed match ID.
  Throws:
    `ObjectException` - Thrown if the ID could not be retrieved.

### getLID

    public java.lang.String getLID()
                            throws ObjectException

  Retrieves the value of the local ID from the AssumedMatchSummary object.

  Parameters:
    None.

  Returns:
    `String` - A local ID.
  Throws:
    `ObjectException` - Thrown if the local ID could not be retrieved.

### getNewSO

    public SystemObject getNewSO()

  Retrieves the system object that was added to the existing record in the assumed match transaction.

  Parameters:
    None.

  Returns:
    `SystemObject` - A system object representing the system record that updated the existing record.
  Throws:
    None.

### getSystemCode

    public java.lang.String getSystemCode()
                                   throws ObjectException

  Retrieves the system code from the AssumedMatchSummary object.

  Parameters:
    None.

  Returns:
    `String` - The processing code of the system that caused the assumed match transaction.
  Throws:
    `ObjectException` - Thrown if the system code could not be retrieved.

### getTransactionNumber

    public java.lang.String getTransactionNumber()
                                          throws ObjectException

  Retrieves the value of the transaction number from the AssumedMatchSummary object.

  Parameters:
    None.

  Returns:
    `String` - The transaction number for the assumed match.
  Throws:
    `ObjectException` - Thrown if the transaction number could not be retrieved.

### getWeight

    public float getWeight()
                    throws ObjectException

  Retrieves the matching probability weight of the records represented by the AssumedMatchSummary object.

  Parameters:
    None.

  Returns:
    `Float` - The matching probability weight between two records.
  Throws:
    `ObjectException` - Thrown if the weight could not be retrieved.

### toString

    public java.lang.String toString()

  Retrieves a string representation of the assumed match ID, EUID, and weight fields from the AssumedMatchSummary object.

  Parameters:
    None.

  Overrides:
    `toString` in class `ObjectNode`
  Returns:
    `String` - The assumed match ID, EUID1, and weight field values.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.